package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the professtion database table.
 * 
 */
@Entity
public class Professtion implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idpro;

	private String city;

	private String companyname;

	private String designation;

	private String endyear;

	private boolean isworkinghere;

	private String startyear;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	public Professtion() {
	}

	public String getIdpro() {
		return this.idpro;
	}

	public void setIdpro(String idpro) {
		this.idpro = idpro;
	}

	public String getCity() {
		return this.city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCompanyname() {
		return this.companyname;
	}

	public void setCompanyname(String companyname) {
		this.companyname = companyname;
	}

	public String getDesignation() {
		return this.designation;
	}

	public void setDesignation(String designation) {
		this.designation = designation;
	}

	public String getEndyear() {
		return this.endyear;
	}

	public void setEndyear(String endyear) {
		this.endyear = endyear;
	}

	public boolean getIsworkinghere() {
		return this.isworkinghere;
	}

	public void setIsworkinghere(boolean isworkinghere) {
		this.isworkinghere = isworkinghere;
	}

	public String getStartyear() {
		return this.startyear;
	}

	public void setStartyear(String startyear) {
		this.startyear = startyear;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

}